# Generated by Django 2.0.5 on 2022-02-09 05:22

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0103_profile_default_landing_page'),
        ('document', '0070_auto_20220201_1305'),
    ]

    operations = [
        migrations.CreateModel(
            name='SalesPurchaseOrderData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('crm_id', models.PositiveIntegerField()),
                ('customer_po_number', models.CharField(max_length=100, null=True)),
                ('order_date', models.DateTimeField(default=None, null=True)),
                ('opportunity_name', models.TextField(null=True)),
                ('opportunity_crm_id', models.PositiveIntegerField(null=True)),
                ('site_crm_id', models.PositiveIntegerField(null=True)),
                ('site_name', models.CharField(max_length=500, null=True)),
                ('company_name', models.CharField(max_length=500)),
                ('status', models.CharField(max_length=100)),
                ('product_ids', django.contrib.postgres.fields.jsonb.JSONField(default=[])),
                ('bill_closed_flag', models.BooleanField()),
                ('customer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='salesorders', to='accounts.Customer')),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='accounts.Provider')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
